
package jboss.wsconsume.gen.hotelbooking.stub;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the jboss.wsconsume.gen.hotelbooking.stub package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _BookingOperationResponse_QNAME = new QName("http://sunspider.tutorial.com.cn/jaxws20/2008/ws", "bookingOperationResponse");
    private final static QName _ClientID_QNAME = new QName("http://sunspider.tutorial.com.cn/jaxws20/2008/type", "clientID");
    private final static QName _RegisterOperationResponse_QNAME = new QName("http://sunspider.tutorial.com.cn/jaxws20/2008/ws", "registerOperationResponse");
    private final static QName _ClientAddress_QNAME = new QName("http://sunspider.tutorial.com.cn/jaxws20/2008/type", "clientAddress");
    private final static QName _ReservedTickets_QNAME = new QName("http://sunspider.tutorial.com.cn/jaxws20/2008/type", "reservedTickets");
    private final static QName _BookingOrder_QNAME = new QName("http://sunspider.tutorial.com.cn/jaxws20/2008/type", "bookingOrder");
    private final static QName _RegisterOperation_QNAME = new QName("http://sunspider.tutorial.com.cn/jaxws20/2008/ws", "registerOperation");
    private final static QName _BookingOperation_QNAME = new QName("http://sunspider.tutorial.com.cn/jaxws20/2008/ws", "bookingOperation");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: jboss.wsconsume.gen.hotelbooking.stub
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link RegisterOperation }
     * 
     */
    public RegisterOperation createRegisterOperation() {
        return new RegisterOperation();
    }

    /**
     * Create an instance of {@link BookingOperation }
     * 
     */
    public BookingOperation createBookingOperation() {
        return new BookingOperation();
    }

    /**
     * Create an instance of {@link Order }
     * 
     */
    public Order createOrder() {
        return new Order();
    }

    /**
     * Create an instance of {@link BookingOperationResponse }
     * 
     */
    public BookingOperationResponse createBookingOperationResponse() {
        return new BookingOperationResponse();
    }

    /**
     * Create an instance of {@link Address }
     * 
     */
    public Address createAddress() {
        return new Address();
    }

    /**
     * Create an instance of {@link RegisterOperationResponse }
     * 
     */
    public RegisterOperationResponse createRegisterOperationResponse() {
        return new RegisterOperationResponse();
    }

    /**
     * Create an instance of {@link OrderItem }
     * 
     */
    public OrderItem createOrderItem() {
        return new OrderItem();
    }

    /**
     * Create an instance of {@link Tickets }
     * 
     */
    public Tickets createTickets() {
        return new Tickets();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BookingOperationResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://sunspider.tutorial.com.cn/jaxws20/2008/ws", name = "bookingOperationResponse")
    public JAXBElement<BookingOperationResponse> createBookingOperationResponse(BookingOperationResponse value) {
        return new JAXBElement<BookingOperationResponse>(_BookingOperationResponse_QNAME, BookingOperationResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://sunspider.tutorial.com.cn/jaxws20/2008/type", name = "clientID")
    public JAXBElement<String> createClientID(String value) {
        return new JAXBElement<String>(_ClientID_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RegisterOperationResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://sunspider.tutorial.com.cn/jaxws20/2008/ws", name = "registerOperationResponse")
    public JAXBElement<RegisterOperationResponse> createRegisterOperationResponse(RegisterOperationResponse value) {
        return new JAXBElement<RegisterOperationResponse>(_RegisterOperationResponse_QNAME, RegisterOperationResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Address }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://sunspider.tutorial.com.cn/jaxws20/2008/type", name = "clientAddress")
    public JAXBElement<Address> createClientAddress(Address value) {
        return new JAXBElement<Address>(_ClientAddress_QNAME, Address.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Tickets }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://sunspider.tutorial.com.cn/jaxws20/2008/type", name = "reservedTickets")
    public JAXBElement<Tickets> createReservedTickets(Tickets value) {
        return new JAXBElement<Tickets>(_ReservedTickets_QNAME, Tickets.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Order }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://sunspider.tutorial.com.cn/jaxws20/2008/type", name = "bookingOrder")
    public JAXBElement<Order> createBookingOrder(Order value) {
        return new JAXBElement<Order>(_BookingOrder_QNAME, Order.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RegisterOperation }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://sunspider.tutorial.com.cn/jaxws20/2008/ws", name = "registerOperation")
    public JAXBElement<RegisterOperation> createRegisterOperation(RegisterOperation value) {
        return new JAXBElement<RegisterOperation>(_RegisterOperation_QNAME, RegisterOperation.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BookingOperation }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://sunspider.tutorial.com.cn/jaxws20/2008/ws", name = "bookingOperation")
    public JAXBElement<BookingOperation> createBookingOperation(BookingOperation value) {
        return new JAXBElement<BookingOperation>(_BookingOperation_QNAME, BookingOperation.class, null, value);
    }

}
