package sunspider.jaxws20.tutorial.service.wse;
import sunspider.jaxws20.tutorial.service.bean.Address;
import sunspider.jaxws20.tutorial.service.bean.Order;
import sunspider.jaxws20.tutorial.service.bean.OrderItem;
import sunspider.jaxws20.tutorial.service.bean.Tickets;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;


@WebService(name="HotelBookingService",targetNamespace="http://sunspider.tutorial.com.cn/jaxws20/2008/ws")
@SOAPBinding(style=SOAPBinding.Style.DOCUMENT,use=SOAPBinding.Use.LITERAL,
		parameterStyle=SOAPBinding.ParameterStyle.WRAPPED)

public interface HotelBooking {
	@WebMethod(operationName="registerOperation",action="urn:registerAction")
	@WebResult(name="clientID",partName="clientIDHeader",targetNamespace="http://sunspider.tutorial.com.cn/jaxws20/2008/type")
public String register(
		@WebParam(name="clientAddress",partName="clientAddressParam",targetNamespace="http://sunspider.tutorial.com.cn/jaxws20/2008/type",mode=WebParam.Mode.IN)
		Address address);
	
	@WebMethod(operationName="bookingOperation",action="urn:bookingAction")
	@WebResult(name="reservedTickets",partName="ticketsReturn",targetNamespace="http://sunspider.tutorial.com.cn/jaxws20/2008/type")
public Tickets booking(
		@WebParam(name="bookingOrder",partName="orderParam",targetNamespace="http://sunspider.tutorial.com.cn/jaxws20/2008/type",mode=WebParam.Mode.IN)
		Order order);
}
